<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_zodiac_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$zodiac_set = 1; //0 = Just text; 1 = text + Icon; 2  Just Icon.
$zodiac_secret = FALSE; // True for additiona unspecified option
$input_type = 'form_select'; // form_select or form_checkbox (up to you)
$image_type = '.svg'; // .svg or .png
const ZODIAC_PATH = IMAGES."user_fields/zodiac".DIRECTORY_SEPARATOR;

$icon = " <img src='".ZODIAC_PATH."%s".$image_type."' title='%s' class='rounded mx-auto d-block' height='30px'/>";

for ($i = 0; $i < count( $locale['zodiac_name'] ); $i++) {
    switch ($zodiac_set) {
        case 1:
            $value = $locale['zodiac_name'][$i].sprintf($icon, $i, $locale['zodiac_name'][$i].$locale['zodiac_date'][$i]);
            break;
        case 2:
            $value = sprintf($icon, $i, $locale['zodiac_name'][$i].$locale['zodiac_date'][$i]);
            break;
        default:
            $value = $locale['zodiac_name'][$i].$locale['zodiac_date'][$i];
    }
    $zodiac_array[] = ($profile_method == "input" ? $locale['zodiac_name'][$i].$locale['zodiac_date'][$i] : $value);
}

if (!$zodiac_secret) {
    unset( $zodiac_array[0] );
}

if ($profile_method == "input") {
    $options = [
        'inline'     => TRUE,
        'options'    => $zodiac_array,
        'type'       => 'radio',
        'width'      => '200px',
        'error_text' => $locale['uf_zodiac_error']
    ] + $options;

    $user_fields = $input_type('user_zodiac', $locale['uf_zodiac'], $field_value, $options);

// Display user field input
} elseif ($profile_method == "display") {
    if ($field_value) {
        $user_fields = [
            'title' => $locale['uf_zodiac'],
            'value' => $zodiac_array[$field_value]
        ];
    }
}